stages:
  - build
  - fuzz
  - test

build-projec-docker-image:
  stage: build
  tags: [saas-linux-large-amd64]
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID
  variables:
    JSON_CONFIG: |
      {
        "auths": {
          "$CI_REGISTRY": {
            "username": "$CI_REGISTRY_USER",
            "password": "$CI_REGISTRY_PASSWORD"
          }
        }
      }
  script: |
    echo "${JSON_CONFIG}" > /kaniko/.docker/config.json
    /kaniko/executor \
      --context $CI_PROJECT_DIR \
      --dockerfile $CI_PROJECT_DIR/Dockerfile \
      --cache=true \
      --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA

